React UI Components Documentation

ReactJS Docking Component

The Docking component for ReactJS represents a widget which allows you to manage multiple windows and even the layout of your web page.
Each window in the Docking can be dragged around the Web page, docked into docking zones, removed from the docking, collapsed into a minimized state to hide its content, expanded to display its content or pinned in place.

Prerequisites

Refer to ReactJS Getting Started before you start with this help topic.

Configuration

The Docking component for ReactJS requires the following imports.

 
import React from 'react';
import ReactDOM from 'react-dom';
import JqxDocking from 'jqwidgets-react/react_jqxdocking.js';

Then we create our component class. Properties and methods are put as ReactJS props.

  
class App extends React.Component {
render () {
return (
<JqxDocking ref='Docking'
width={800}
mode={'docked'}
orientation={'horizontal'}>
<div>
<div id="window1" style={{ height: 220 }}>
</div>
<div id="window2" style={{ height: 220 }}>
</div>
</div>
<div>
<div id="window3" style={{ height: 220 }}>
</div>
<div id="window4" style={{ height: 220 }}>
</div>
</div>
</JqxDocking>
)
}
}

Finally we render our class in the desired HTML element:

 
ReactDOM.render(<App />, document.getElementById('app'));

Events Methods & Properties

In order to bind to any event, change any property or call any method, we need a reference to the component.
For that we use the ReactJS "ref" Callback Attribute:

 
<JqxDocking ref='myDocking' width={800}..... />

Now, when we have a reference, we need to call the desired event/property/method.
This is done in the componentDidMount() ReactJS Component Lifecycle method.

 
class App extends React.Component {
componentDidMount()
{
//your logic
}
render ()
{
return
(
....
)
}
};

Events

The dragStart event is triggered when the user start to drag any window.

The following example demonstrates how to add an event listener:

 
componentDidMount ()
{
this.refs.myDocking.on('dragStart', (event) =>
{
//your logic
});
}

Methods & Properties

This is how you call methods & props:

Every component have a method setOptions which accepts a object as an argument. This object contains component settings.

Every component also have a method getOptions which returns a object containing the component settings.

Docking Examples

Overview

The following example demonstrates how to create a Docking component.

Docking API

API Reference of the jQWidgets Docking component for React: Docking API

Vue UI Components Documentation
Vue Docking Component
The Docking component for Vue represents a widget which allows you to manage multiple windows and even the layout of your web page. Each window in the Docking can be dragged around the Web page, docked into docking zones, removed from the docking, collapsed into a minimized state to hide its content, expanded to display its content or pinned in place.
Prerequisites
Refer to Vue Getting Started before you start with this help topic.
Configuration
After you have created your App.vue file, here is how you should structure it:
The Docking component for Vue requires the following import:
import JqxDocking from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue";
Add the jqxDocking component to the components section of the the Vue class:
components: { JqxDocking },
Template
The App.vue has a <template>
structural tag where we determine the application structure.
There we will also set the tags for the new components - <JqxDocking/>
<template> <JqxDocking :orientation="orientation" :width="width" :mode="mode"> <div> <div id="window1" style="height: 220px;"> <div> Date and Time </div>w <div style="overflow: hidden;"> Content of the "Date and Time" section </div> </div> <div id="window2" style="height: 220px"> <div> News </div> <div style="overflow: hidden;"> Content of the "News" section </div> </div> </div> </JqxDocking></template>
Properties
The properties of the <JqxDocking/> component are defined in the data
member of the Vue class.
We should put them in the return object of the data function:
data: function () { return { width: 250, orientation: 'horizontal', mode: 'docked' }}
Events
The events in Vue are set as an attribute with @ prefix, for example:
<JqxDocking @dragStart="onDragStart()" :orientation="orientation" :width="width" :mode="mode"> <div> <div id="window1" style="height: 220px;"> <div> Date and Time </div> <div style="overflow: hidden;"> Content of the "Date and Time" section </div> </div> <div id="window2" style="height: 220px"> <div> News </div> <div style="overflow: hidden;"> Content of the "News" section </div> </div> </div></JqxDocking>
All events that are bound to a component are implemented in the methods
member of the Vue class.
Methods
To use a component's method we should have its reference. In Vue we refer to a component by the special $refs
property.
Before that we need to add the desired name reference to that component:
<JqxDocking ref="docking"></JqxDocking>
Here how you can use a component's method:
this.$refs.docking.disable();
If we want to add additional methods we should also implement them in the methods
member.
In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate
member.
It depends on the case.
If you have followed the above steps, you App.vue file would look like this:

The Docking component for Angular represents a widget which allows you to manage multiple windows and even the layout of your web page. Each window in the Docking can be dragged around the Web page, docked into docking zones, removed from the docking, collapsed into a minimized state to hide its content, expanded to display its content or pinned in place.
npm install -g @angular/cli ng new jqwidgets-project cd jqwidgets-project
ng add jqwidgets-ng
jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package
npm install jqwidgets-ng
@import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';
"styles": [ "node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css" ]
<jqxDocking [theme]="'fluent'" [orientation]='"horizontal"' [width]='getWidth()' [mode]='"docked"'>
<div>
<div id="window1" style="height: 220px;">
<div>
Date and Time
</div>
<div style="overflow: hidden;">
<jqxCalendar [theme]="'fluent'" [width]='180' [height]='180' style="float: left; margin-right: 10px;">
</jqxCalendar>
<h3 style="text-align: center; color: #787878;">Sunny</h3>
<div style="float: left; margin-left: 30px; text-align: center;">
<img src="https://www.jqwidgets.com/angular/images/sun-icon.png" alt="Sunny" />
</div>
<div style="text-align: left; margin-left: 5px; margin-top: 10px; font-size: 10px; float: right; margin-right: 20px;">
Mo: 23 °C<br />
To 25 °C<br />
We: 27 °C
</div>
</div>
</div>
<div id="window2" style="height: 220px">
<div>
News
</div>
<div style="overflow: hidden;">
<jqxTabs [theme]="'fluent'" [width]='375' [height]='181' [selectedItem]='1'>
<ul style="margin-left: 30px">
<li>World</li>
<li>Local</li>
<li>Sports</li>
</ul>
<div>
<div style="padding: 3px; margin: 10px; width: 150px; height: 84px; float: left;">
<img src="https://www.jqwidgets.com/angular/images/news_ie6.jpg" alt="IE6" title="IE6" />
</div>
<span style="font-size: 11px;">
Microsoft is set to get a little more pushy ensuring
you have an up-to-date browser and will automatically update Internet Explorer...
<span style="font-size: 8px;">(BBC)</span>
</span>
</div>
<div>
<div style="padding: 3px; margin: 10px; width: 144px; height: 81px; float: left;">
<img src="https://www.jqwidgets.com/angular/images/local.jpg" alt="Tennis" title="Tennis" />
</div>
<span style="font-size: 11px;">
The High Court has dismissed a challenge to laws that
require immigrant spouses to be able to speak English in order to live in the UK...
<span style="font-size: 8px;">(BBC)</span>
</span>
</div>
<div>
<div style="padding: 3px; margin: 10px; width: 130px; height: 73px; float: left;">
<img src="https://www.jqwidgets.com/angular/images/tennis.jpg" alt="Tennis" title="Tennis" />
</div>
<span style="font-size: 11px;">
British number one Elena Baltacha says Judy Murray is
a "fantastic" appointment as Great Britain's new Fed Cup captain... <span style="font-size: 8px;">(BBC)</span>
</span>
</div>
</jqxTabs>
</div>
</div>
</div>
<div>
<div id="window3" style="height: 220px">
<div>
Zodiac
</div>
<div style="overflow: hidden;">
<jqxPanel [theme]="'fluent'" [width]='375' [height]='180'>
<div style="padding-right: 20px;">
<div style="padding: 3px; width: 150px; height: 110px; float: left; margin: 10px;">
<img src="https://www.jqwidgets.com/angular/images/leo.jpg" alt="Leo" title="Leo" />
</div>
<h3 style="text-align: center; color: #787878;">Leo</h3>
<span style="font-size: 11px">
Individuals born under the zodiac sign of Leo are very
good looking and have a healthy physique, with a broad forehead. Leo are very intelligent,
extremely courageous, love their freedom and live by their own rules. Indulgence
and extravagance is like second nature to them and they love to...
</span>
</div>
</jqxPanel>
</div>
</div>
<div id="window4" style="height: 220px;">
<div>
E-mail
</div>
<div style="overflow: hidden;">
<jqxListBox [theme]="'fluent'" [width]='375' [height]='181' [source]='source'>
</jqxListBox>
</div>
</div>
</div>
</jqxDocking>
import { Component } from '@angular/core';
import { jqxDockingModule, jqxDockingComponent } from 'jqwidgets-ng/jqxdocking';
import { jqxListboxModule } from 'jqwidgets-ng/jqxlistbox';
import { jqxTabsModule } from 'jqwidgets-ng/jqxtabs';
import { jqxCalendarModule } from 'jqwidgets-ng/jqxcalendar';
import { jqxPanelModule } from 'jqwidgets-ng/jqxpanel';
@Component({
selector: 'app-root',
imports: [jqxDockingModule, jqxPanelModule, jqxCalendarModule, jqxTabsModule, jqxListboxModule],
standalone: true,
templateUrl: './app.component.html'
})
export class AppComponent {
getWidth(): any {
if (document.body.offsetWidth < 650) {
return '90%';
}
return 650;
}
source: string[] =
[
'JavaScript Certification - Welcome to our network',
'Business Challenges via Web take a part',
'jQWidgets better web, less time. Take a tour',
'Facebook - you have 7 new notifications',
'Twitter - John Doe is following you. Look at his profile',
'New videos, take a look at YouTube.com'
];
}